﻿<Window x:Class="ManageStaffDBApp.View.AddNewUserWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:ManageStaffDBApp.View"
        mc:Ignorable="d"
         xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes" xmlns:viewmodel="clr-namespace:ManageStaffDBApp.ViewModel" d:DataContext="{d:DesignInstance Type=viewmodel:DataManageVM}"
        TextElement.Foreground="{DynamicResource MaterialDesignBody}"
         Background="{DynamicResource MaterialDesignPaper}"
         TextElement.FontWeight="Medium"
         TextElement.FontSize="14"
         FontFamily="{materialDesign:MaterialDesignFont}"
        Title="AddNewUserWindow" Height="300" Width="300"
        Name="AddNewUserWin">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="*"/>
            <RowDefinition Height="50"/>
        </Grid.RowDefinitions>
        <StackPanel Grid.Row="0" Orientation="Vertical" HorizontalAlignment="Center"
                 VerticalAlignment="Center" Width="200" >
            <TextBox Name="NameBox" Text="{Binding user.Name}" materialDesign:HintAssist.Hint="Enter user name" Style="{StaticResource MaterialDesignFloatingHintTextBox}"/>
            <TextBox Name="SurNameBox" Text="{Binding user.SurName}" materialDesign:HintAssist.Hint="Enter user surname" Style="{StaticResource MaterialDesignFloatingHintTextBox}"/>
            <TextBox Name="PhoneBox" Text="{Binding user.Phone}" materialDesign:HintAssist.Hint="Enter phone" Style="{StaticResource MaterialDesignFloatingHintTextBox}"/>
            <TextBox Name="EmailBox" Text="{Binding user.Email}" materialDesign:HintAssist.Hint="Enter email" Style="{StaticResource MaterialDesignFloatingHintTextBox}"/>
            <ComboBox ItemsSource="{Binding AllPositions}" DisplayMemberPath="Name"
                      SelectedItem="{Binding user.Position}" materialDesign:HintAssist.Hint="Choise position" materialDesign:HintAssist.IsFloating="True" Style="{StaticResource MaterialDesignFilledComboBox}" HorizontalContentAlignment="Left"/>
        </StackPanel>
        <Button Grid.Row="1" Content="Add Staff" Style="{StaticResource MaterialDesignFlatButton}" Command="{Binding AddNewUser}"
                CommandParameter="{Binding ElementName=AddNewUserWin}"
                Margin="10 5"/>
    </Grid>
</Window>
